      SUBROUTINE stlin(string, iparse)
c		fwj haberl march 1988
c		subroutine for XPLOT
      INCLUDE 'xplot.inc'
      INTEGER*4 iparse, icom, iflag, idelim, ix, iy
      CHARACTER*(*) string
      INTEGER*4 maxscm
      PARAMETER (maxscm=20)
      CHARACTER*1 cdum
      CHARACTER*(2) subcom(maxscm)
      DATA subcom/'x', 'x1', 'x2', 'x3', 'x4', 'x5', 'x6', 'x7', 'x8',
     &     'x9', 'y', 'y1', 'y2', 'y3', 'y4', 'y5', 'y6', 'y7', 'y8',
     &     'y9'/
 
      CALL xgtmch(string, iparse, subcom, maxscm, 'lin x y', icom,
     &            iflag, idelim, *900)
      IF (iflag.NE.0) THEN
         GOTO 900
      ENDIF
      IF (icom.EQ.1) THEN
         DO ix = 1, divx
            qxlog(ix) = .FALSE.
         ENDDO
      ELSEIF (icom.EQ.11) THEN
         DO iy = 1, divy
            qylog(iy) = .FALSE.
         ENDDO
      ELSEIF (icom.LT.11) THEN
         READ (subcom(icom), '(a,i1)') cdum, ix
         qxlog(ix) = .FALSE.
      ELSE
         READ (subcom(icom), '(a,i1)') cdum, iy
         qylog(iy) = .FALSE.
      ENDIF
 900  RETURN
 
      ENTRY stlog(string, iparse)
c        fwj haberl march 1988
c        subroutine for XPLOT to set logarithmic axes
      CALL xgtmch(string, iparse, subcom, maxscm, 'log x y', icom,
     &            iflag, idelim, *910)
      IF (iflag.NE.0) THEN
         GOTO 910
      ENDIF
      IF (icom.EQ.1) THEN
         DO ix = 1, divx
            qxlog(ix) = .TRUE.
         ENDDO
      ELSEIF (icom.EQ.11) THEN
         DO iy = 1, divy
            qylog(iy) = .TRUE.
         ENDDO
      ELSEIF (icom.LT.11) THEN
         READ (subcom(icom), '(a,i1)') cdum, ix
         qxlog(ix) = .TRUE.
      ELSE
         READ (subcom(icom), '(a,i1)') cdum, iy
         qylog(iy) = .TRUE.
      ENDIF
 910  RETURN
      END
